API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

POST
/applications/{uuid}/storages/{storage_uuid}/backups/run

Queue an immediate volume backup for an application storage that has a schedule.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string
storage_uuid*string

Response Body

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/applications/string/storages/string/backups/run"
Empty
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}